Bug 1879557 (CVE-2020-9803) - CVE-2020-9803 webkitgtk: Memory corruption may lead to arbitrary code execution
Summary: CVE-2020-9803 webkitgtk: Memory corruption may lead to arbitrary code execution
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-9803
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1881551 1881552 1881553
Blocks: 1879575
TreeView+ depends on / blocked
 
Reported: 2020-09-16 14:13 UTC by Pedro Sampaio
Modified: 2021-02-16 19:15 UTC (History)
3 users (show)

Fixed In Version: webkitgtk 2.28.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in webkitgtk in versions prior to 2.28.3 and in WPE WebKit in versions prior to 2.28.3. A memory corruption issue could allow processing maliciously crafted web content leading to arbitrary code execution. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:26:59 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:05:37 UTC

Description Pedro Sampaio 2020-09-16 14:13:25 UTC
A memory corruption issue was found in webkitgtk. Processing maliciously crafted web content may lead to arbitrary code execution. Versions affected: WebKitGTK before 2.28.3 and WPE WebKit before 2.28.3.

Comment 1 Pedro Sampaio 2020-09-16 14:13:28 UTC
External References:

https://webkitgtk.org/security/WSA-2020-0006.html

Comment 3 errata-xmlrpc 2020-11-04 01:05:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451

Comment 4 Product Security DevOps Team 2020-11-04 02:26:59 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-9803


Note You need to log in before you can comment on or make changes to this bug.